Skip to content

Get coupon by external id

GET
/api/v2.0/stores/{storeId}/coupon/{couponExternalId}
curl --request GET \
--url https://api.diller.app/api/v2.0/stores/your-store-id/coupon/your-coupon-id \
--header 'Authorization: Bearer <token>'

Retrieves a specific coupon by its external id. By default it only retrieves active coupons.

storeId
required
string

The store Id

Example
your-store-id
couponExternalId
required
string

The coupon external Id

Example
your-coupon-id
alsoInactive
boolean

When true, it also return coupons that are not currently valid.

OK

Media typeapplication/json
Array<object>
object
id
integer format: int32
external_ids
Array<object>
nullable
object
platform
string
nullable
external_id

This is the ID the cupon has in the external system / platform.

string
nullable
code
required
string
>= 1 characters
status
string
nullable
title
required
string
>= 1 characters
description
string
nullable
article_number
string
nullable
valid_from
required

The startDate of the coupon

string format: date-time
valid_to
required
string format: date-time
type
required
string
Allowed values: Standard Welcome Campaign Public Recurring Birthday ChildBirthday Automation PointsToCurrency StampCard
discount_type
string
Allowed values: NotDefined Percentage Fixed FreeShipping OverridePrice
discount_value
number format: double
max_redemptions
integer format: int32
image_url
string
nullable
product_ids

DEPRECATED: This property is being phased out and should no longer be used. Please use the property ‘RedemptionRules’.

Array<string>
nullable
redemption_rules

A collection of rules that define where and how the coupon can be redeemed. Each rule specifies the applicable channel, products, and categories for coupon usage.

Array<object>
nullable

Represents a rule for coupon redemption, defining the applicable channels, products, and categories.

object
channel

The sales channel where the coupon can be redeemed. Valid values include ‘Pos’ (Point of Sale) for in-store purchases and ‘OnlineStore’ for online purchases.

string
nullable
product_ids

A list of product IDs that the coupon applies to. If specified, the coupon can only be used for these products.

Array<string>
nullable
category_ids

A list of product category IDs that the coupon applies to. If specified, the coupon can only be used for products within these categories.

Array<string>
nullable
target

Defines where the coupon can be applied to. The filters are cumulativelly applied.

object
required_points
integer format: int32
membership_level
integer format: int32
nullable
list_id
integer format: int32
nullable
usage_extension_in_days
integer format: int32
Example
[
{
"valid_from": "2026-09-11T12:34:49",
"valid_to": "2026-09-11T12:34:49",
"type": "Standard",
"discount_type": "NotDefined"
}
]

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}